import { Response } from 'express';
import { AuthDto } from "../dtos/auth.dto";
import { MaintenanceAuthDto, MaintenanceDetectInstallResponseDto, MaintenanceLoginDto, MaintenanceStatusResponseDto, SetMaintenanceModeDto } from "../dtos/maintenance.dto";
import { LoginDetails } from "../services/auth.service";
import { MaintenanceService } from "../services/maintenance.service";
export declare class MaintenanceController {
    private service;
    constructor(service: MaintenanceService);
    getMaintenanceStatus(): MaintenanceStatusResponseDto;
    detectPriorInstall(): Promise<MaintenanceDetectInstallResponseDto>;
    maintenanceLogin(_dto: MaintenanceLoginDto): MaintenanceAuthDto;
    setMaintenanceMode(auth: AuthDto, dto: SetMaintenanceModeDto, loginDetails: LoginDetails, res: Response): Promise<void>;
}
